%if 0%{?amzn} >= 2
%global python3_pkgversion 3
%endif

%global author Danila Vershinin - info@getpagespeed.com

Name:           ngm
Version:        0
Release:        1%{?dist}
Summary:        A CLI tool to manage NGINX configuration
License:        BSD
URL:            https://github.com/GetPageSpeed/ngm
Source0:        https://github.com/GetPageSpeed/ngm/archive/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-argcomplete
BuildRequires:  python%{python3_pkgversion}-tabulate
BuildRequires:  python%{python3_pkgversion}-distro
# For tests
BuildRequires:  python%{python3_pkgversion}-pytest

# For generation of man page
BuildRequires:  pandoc

Requires:  python%{python3_pkgversion}-argcomplete
Requires:  python%{python3_pkgversion}-tabulate
Requires:  python%{python3_pkgversion}-distro

%description
A CLI tool to manage NGINX configuration

%prep
%setup -qn %{name}-%{version}
# add info section to README.md so it can be nicely converted to man page
sed -i '1i| %{name}(1)\n| %{author}\n| July 2019\n\n' README.md


%check
# mock does not have networking on by default.
# no tests for now
# py.test-3 -v

 
%build
%py3_build
# generates man page
pandoc -s -t man README.md -o %{name}.1


%install
%py3_install
# Remove tests from install (not good folder)
rm -rf %{buildroot}%{python3_sitelib}/tests

%{__install} -Dpm0644 %{name}.1 \
    $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
 
 
%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/*.1*
%{python3_sitelib}/*


%changelog
# not maintained